Get an article
curl --request GET \
--url https://api.awardee.com/v1/articles/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/articles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "article",
"id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
"knowledge_base_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"category_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"title": "Refund policy",
"slug": "refund-policy",
"content": "<p>Refunds are available within 30 days …</p>",
"content_plain": "<string>",
"status": "draft",
"visibility": "public",
"language": "en",
"indexing_status": "not_started",
"indexed_at": "2026-05-23T10:00:00.000Z",
"published_at": "2026-05-23T10:00:00.000Z",
"created_at": "2026-05-23T09:30:00.000Z",
"updated_at": "2026-05-23T10:00:00.000Z"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Endpoints
Get an article
GET
/
articles
/
{id}
Get an article
curl --request GET \
--url https://api.awardee.com/v1/articles/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.awardee.com/v1/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.awardee.com/v1/articles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "article",
"id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
"knowledge_base_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
"category_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"title": "Refund policy",
"slug": "refund-policy",
"content": "<p>Refunds are available within 30 days …</p>",
"content_plain": "<string>",
"status": "draft",
"visibility": "public",
"language": "en",
"indexing_status": "not_started",
"indexed_at": "2026-05-23T10:00:00.000Z",
"published_at": "2026-05-23T10:00:00.000Z",
"created_at": "2026-05-23T09:30:00.000Z",
"updated_at": "2026-05-23T10:00:00.000Z"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retry_after": 123
}Authorizations
Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.
Path Parameters
Response
Article
Allowed value:
"article"Example:
"8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e"
Example:
"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"
Example:
"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"
Example:
"Refund policy"
Example:
"refund-policy"
Example:
"<p>Refunds are available within 30 days …</p>"
Available options:
draft, unpublished, published, archived Available options:
public, internal, chatbot_only Example:
"en"
Available options:
not_started, pending, processing, indexed, failed Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2026-05-23T10:00:00.000Z"
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2026-05-23T10:00:00.000Z"
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2026-05-23T09:30:00.000Z"
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Example:
"2026-05-23T10:00:00.000Z"

